%define upstream_name    Number-Format
%define upstream_version 1.73

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	Convert numbers to strings with pretty formatting
License:	Artistic/GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Number/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch


%description
Number::Format is a library for formatting numbers.  Functions are
provided for converting numbers to strings in a variety of ways, and to
convert strings that contain numbers back into numeric form.  The output
formats may include thousands separators - characters inserted between
each group of three characters counting right to left from the decimal
point.  The characters used for the decimal point and the thousands
separator come from the locale information or can be specified by the
user.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 CHANGES README

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
%{__make} test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES README META.yml
%{perl_vendorlib}/Number
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.730.0-2.mga3
+ Revision: 370995
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.730.0-1.mga1
+ Revision: 26775
- mageia rebuild
- imported package perl-Number-Format

